**Figure:** Posterior predictive check of the chi\_p distribution implied by the `Default` spin results.

##### Data

This figure contains data precomputed and stored in [Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppcheck-data.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppcheck-data.json)

This data is generated using the `Gaussian` model posterior samples in [Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples/gaussian-spin/gaussian-chiEff-chiP-samples.json) via the following jupyter notebook:
* https://git.ligo.org/thomas-callister/o3a-spin-studies/-/blob/master/Postprocessing/Spin-PPDs-and-PPCs.ipynb

##### Reading and plotting data

The file `gaussian-spin-xeff-xp-ppcheck-data.json` contains the following items

```python
>>> import json
>>> with open("Figures_and_Tables/Multiple-Fig-Data/effective_spin_ppd/gaussian-spin-xeff-xp-ppcheck-data.json","r") as jf:
...     data = json.load(jf)
...
>>> data.keys()
[u'CDFs', u'catalogs']
```

Here, `data['catalogs']` is a dictionary with four items:
* `observed_chi_eff_catalogs`: An NxM set of observed chi\_eff values. Here, N is the number of catalog instantiations, and M is the number of GWTC-2 BBH events entering our analysis. For each of the N catalogs, the GWTC-2 chi\_eff posteriors are reweighted according to a random draw from the `Default` spin model. A randomly selected chi\_eff sample is then drawn from each of the M events.
* `synthetic_chi_eff_catalogs`: An NxM set of synthetic chi\_eff values comprising mock catalogs. For each of the N catalog instantiations, we make a weighted draw of M mock events from the successfully-recovered members of the injection set used to quantify search selection events.
* `observed_chi_p_catalogs`: As above, but for `chi_p`
* `synthetic_chi_p_catalogs`: As above, but for `chi_p`

Meanwhile, `data['CDFs']` contains data defining the cumulative `chi_eff` and `chi_p` distributions corresponding to these catalogs.
The elements of `data['CDFs']` are:
* `chi_eff_grid`: A uniform grid of `chi_eff` values on which cumulative distributions are defined.
* `chi_p_grid`: A uniform grid of `chi_p` values on which cumulative distributions are defined.
* `observed_chi_eff_counts`: An MxN array defining the cumulative distributions of `chi_eff` across the ensemble of catalogs stored in `data['catalogs']['observed_chi_eff_catalogs']` above. Here, M is the number of gridpoints in `chi_eff_grid`, and N is the number of catalog instantiations.
* `synthetic_chi_eff_counts`: Similarly, an MxN array defining the cumulative distributions of `chi_eff` across the above ensemble of synthetic catalogs.
* `observed_chi_p_counts`: Defined analogously
* `synthetic_chi_p_counts`: Defined analogously
